Search Satisfaction metric dropped by 38.4%
Closed, ResolvedPublic3 Story Points

Description

Looking at the 7day scale for http://searchdata.wmflabs.org/metrics/ i'm seeing a 38.4% drop in user satisfaction. Our threshold passing has gone to 0 while our click through has remained the same.

Any idea what's going on?

Tfinc updated the task description. (Show Details)
Tfinc raised the priority of this task from to Needs Triage.
Tfinc added a project: Discovery.
Tfinc added a subscriber: Tfinc.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 3 2015, 10:59 PM
Tfinc moved this task from Needs triage to Analysis on the Discovery board.Nov 3 2015, 10:59 PM

I'll investigate.

Ironholds claimed this task.Nov 5 2015, 7:39 PM
Ironholds edited projects, added Discovery-Analysis (Current work); removed Discovery.
Ironholds set Security to None.
Ironholds moved this task from Backlog to In progress on the Discovery-Analysis (Current work) board.
Ironholds edited a custom field.

It looks like the answer is that there aren't any events in the table it stores as the default, and that's because when Erik fixed the broken schema he switched tables (to avoid caching issues) and assumed we'd know he'd need to, and we assumed if he didn't tell us the table had switched it'd changed the same, and *whoops*. Fixing and backfilling now.

Ironholds edited a custom field.Nov 5 2015, 7:51 PM
Deskana added a subscriber: Deskana.Nov 5 2015, 7:56 PM

This is related to T116319.

Backfilling is now complete, and I am submitting a patch to reset the defaults.

Change 251323 had a related patch set uploaded (by OliverKeyes):
Reset default tables for user satisfaction metrics

https://gerrit.wikimedia.org/r/251323

Change 251323 merged by Bearloga:
Reset default tables for user satisfaction metrics

https://gerrit.wikimedia.org/r/251323

Tfinc changed the task status from Open to Stalled.Nov 20 2015, 8:23 PM

Data remains unchanged. Re-opening.

Bug fixed, need @mpopov to kick the machine.

Deskana closed this task as Resolved.Nov 26 2015, 12:00 AM
Deskana moved this task from Done to Resolved on the Discovery-Analysis (Current work) board.